#include <genesis.h>
#include "creep.h"

u16 tilemap[40*28];

int main(void)
{
	u16 i;
	VDP_setPlanSize(64, 32);
	for (i = 6; i < 40*28; i += 4)
		if ((i > 80 || i & 4) && (i < 40*26 || !(i & 4)) && i % 40 < 38)
		{
			tilemap[i] = 'O' + TILE_FONTINDEX;
			tilemap[i+1] = 'O' + TILE_FONTINDEX;
		}

	tilemap[38 + 13*40] = TILE_ATTR_FULL(1, 0, 0, 0, 'G' + TILE_FONTINDEX);
	tilemap[39 + 13*40] = TILE_ATTR_FULL(1, 0, 0, 0, 'G' + TILE_FONTINDEX);
	tilemap[38 + 14*40] = TILE_ATTR_FULL(1, 0, 0, 0, 'G' + TILE_FONTINDEX);
	tilemap[39 + 14*40] = TILE_ATTR_FULL(1, 0, 0, 0, 'G' + TILE_FONTINDEX);
	for (;;)
	{
		VDP_waitVSync();
		VDP_updateSprites();
		for (i = 0; i < 28; i++)
		{
			VDP_setTileMapRectByIndex(VDP_PLAN_B, tilemap + i*40, i*64, 40, 0);
		}
	}
	return 0;
}
